# SingleTileImageryProvider

#### new Cesium.SingleTileImageryProvider(options)
Scene/SingleTileImageryProvider.js 51

Provides a single, top-level imagery tile. The single image is assumed to use a `GeographicTilingScheme`.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`url` | Resource | String |  | The url for the tile.
`rectangle` | Rectangle | `Rectangle.MAX_VALUE` | optional The rectangle, in radians, covered by the image.
`credit` | Credit | String |  | optional A credit for the data source, which is displayed on the canvas.
`ellipsoid` | Ellipsoid |  | optional The ellipsoid. If not specified, the WGS84 ellipsoid is used.

##### See:

- ArcGisMapServerImageryProvider
- BingMapsImageryProvider
- GoogleEarthEnterpriseMapsProvider
- createOpenStreetMapImageryProvider
- createTileMapServiceImageryProvider
- WebMapServiceImageryProvider
- WebMapTileServiceImageryProvider
- UrlTemplateImageryProvider

### Members

#### readonlycredit : Credit
Scene/SingleTileImageryProvider.js 317

Gets the credit to display when this imagery provider is active. Typically this is used to credit the source of the imagery. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlyerrorEvent : Event
Scene/SingleTileImageryProvider.js 280

Gets an event that is raised when the imagery provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### readonlyhasAlphaChannel : Boolean
Scene/SingleTileImageryProvider.js 333

Gets a value indicating whether or not the images provided by this imagery provider include an alpha channel. If this property is false, an alpha channel, if present, will be ignored. If this property is true, any images without an alpha channel will be treated as if their alpha is 1.0 everywhere. When this property is false, memory usage and texture upload time are reduced.

#### readonlymaximumLevel : Number
Scene/SingleTileImageryProvider.js 188

Gets the maximum level-of-detail that can be requested. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlyminimumLevel : Number
Scene/SingleTileImageryProvider.js 207

Gets the minimum level-of-detail that can be requested. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlyproxy : Proxy
Scene/SingleTileImageryProvider.js 137

Gets the proxy used by this provider.

#### readonlyready : Boolean
Scene/SingleTileImageryProvider.js 292

Gets a value indicating whether or not the provider is ready for use.

#### readonlyreadyPromise : Promise.<Boolean>
Scene/SingleTileImageryProvider.js 304

Gets a promise that resolves to true when the provider is ready for use.

#### readonlyrectangle : Rectangle
Scene/SingleTileImageryProvider.js 245

Gets the rectangle, in radians, of the imagery provided by this instance. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlytileDiscardPolicy : TileDiscardPolicy
Scene/SingleTileImageryProvider.js 260

Gets the tile discard policy. If not undefined, the discard policy is responsible for filtering out "missing" tiles via its shouldDiscardImage function. If this function returns undefined, no tiles are filtered. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlytileHeight : Number
Scene/SingleTileImageryProvider.js 169

Gets the height of each tile, in pixels. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlytileWidth : Number
Scene/SingleTileImageryProvider.js 150

Gets the width of each tile, in pixels. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlytilingScheme : TilingScheme
Scene/SingleTileImageryProvider.js 226

Gets the tiling scheme used by this provider. This function should not be called before `SingleTileImageryProvider#ready` returns true.

#### readonlyurl : String
Scene/SingleTileImageryProvider.js 125

Gets the URL of the single, top-level imagery tile.

### Methods

#### getTileCredits(x, y, level) → Array.<Credit>
Scene/SingleTileImageryProvider.js 350

Gets the credits to be displayed when a given tile is displayed.

Name | Type | Description
--- | --- | ---
`x` | Number | The tile X coordinate.
`y` | Number | The tile Y coordinate.
`level` | Number | The tile level;

##### Returns:

The credits to be displayed when the tile is displayed.

##### Throws:

- DeveloperError : `getTileCredits` must not be called before the imagery provider is ready.

#### pickFeatures(x, y, level, longitude, latitude) → Promise.<Array.<ImageryLayerFeatureInfo>>|undefined
Scene/SingleTileImageryProvider.js 393

Picking features is not currently supported by this imagery provider, so this function simply returns undefined.

Name | Type | Description
--- | --- | ---
`x` | Number | The tile X coordinate.
`y` | Number | The tile Y coordinate.
`level` | Number | The tile level.
`longitude` | Number | The longitude at which to pick features.
`latitude` | Number | The latitude at which to pick features.

##### Returns:

A promise for the picked features that will resolve when the asynchronous picking completes. The resolved value is an array of `ImageryLayerFeatureInfo` instances. The array may be empty if no features are found at the given location. It may also be undefined if picking is not supported.

#### requestImage(x, y, level, request) → Promise.<(Image|Canvas)>|undefined
Scene/SingleTileImageryProvider.js 369

Requests the image for a given tile. This function should not be called before `SingleTileImageryProvider#ready` returns true.

Name | Type | Description
--- | --- | ---
`x` | Number | The tile X coordinate.
`y` | Number | The tile Y coordinate.
`level` | Number | The tile level.
`request` | Request | optional The request object. Intended for internal use only.

##### Returns:

A promise for the image that will resolve when the image is available, or undefined if there are too many active requests to the server, and the request should be retried later. The resolved image may be either an Image or a Canvas DOM object.

##### Throws:

- DeveloperError : `requestImage` must not be called before the imagery provider is ready.